.category {
  position: relative;
  min-width: 70px;
  width: 70px;
  height: 106px;
  border-radius: 35px;
  background: #fff;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  user-select: none;

  &__container {
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 11px 0 0;
    gap: 16px;
    transition: all 0.2s ease;
  }

  &__icon {
    height: 48px;
    width: 48px;
    object-fit: contain;
  }

  &__label {
    font-weight: 300;
    font-size: 11px;
    line-height: 13px;
    text-align: center;
    letter-spacing: 0.6px;
  }

  &::after {
    content: "";
    position: absolute;
    top: 2px;
    left: 2px;
    right: 2px;
    height: 66px;
    border-radius: 100px;
    background-color: var(--color);
    background-image: linear-gradient(210deg, #fff, #999);
    background-blend-mode: multiply;
    z-index: 0;
    transition: 0.3s ease all;
  }

  &--active {
    color: #fff;

    
    .category__container {
      gap: 14px;
    }

    &::after {
      content: "";
      height: calc(100% - 4px);
    }
  }

  &--extended {
    color: #111;
    width: 104px;
    min-width: 104px;
    height: 128px;
    border-radius: 32px;

    .category__container {
      gap: 30px;
      padding-top: 28px;
    }

    &::after {
      height: 96px;
      border-radius: 32px;
    }
  }
}

.category--active {
  color: #fff;

  &::after {
    height: calc(100% - 4px) !important;
    border-radius: 32px;
  }
}

.category--active.category--extended {
  .category__container {
    gap: 24px;
    padding-top: 28px;
    color: #fff;
  }

  &::after {
    height: calc(100% - 4px) !important;
    border-radius: 32px;
  }
}